/prices/history/lines/native

Returns the price history of a native token

"use strict";
const Shards = require("web3-shards");

const shards = Shards.API.Ethereum.V1;
shards.configure({
    apiKey: "YOUR_API_KEY", // Join the discord to get your api key. https://discord.com/invite/kJd8W7Nh7e
    maxRequestsPerSecond:5, // client-side limiter to prevent accidental burning
    logger: 1               // 0=none,1=errors,2=verbose
});

const getPrice = async function() {
    const startTime = 1642387452;
    const endTime = 1643979452;
    const page = 1;
    const resp = await shards.prices.getNativePriceLines(startTime, endTime, page);
    console.log(resp)
}

getPrice();
Query Params
string
enum
required
Defaults to eth

The native token identifier

Allowed:
int32
required
Defaults to 1642387452

The epoch seconds from which the token price will be searched

int32
required
Defaults to 1643979452

The epoch seconds to which the token price will be searched

int32
required
Defaults to 1

The target page from which to query price data. Max results per page is 200.

Headers
string
Defaults to db2f88b1-21cd-440b-9e8c-486a8688e34e
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain